Thunderbird – als updaten geen reële optie is

E-mail is belangrijk. Een goede provider en e-mail cliënt zijn absoluut onmisbaar. Voor het eerste ik maak ik gebruik van een goede aanbieder uit Enschede. Voor de cliënt vertrouw ik op Thunderbird. Versie 60.8.0 draait hier op alle machines inclusief een handvol add-ons. De Add-ons blijken nu een drempel te zijn te upgraden naar een hogere versie.

Add-ons voor veiligheid

Thunderbird heeft net als browsers de opties add-ons te installeren. Handig om de look and feel van het mailprogramma aan te passen. Het is ook noodzakelijk om veiliger te kunnen mailen. Twee add-ons zijn wat dat betreft onmisbaar. Enigmail en Import/ExportTools. De eerste is nodig om open PGP encryptie te kunnen gebruiken, de tweede maakt het automatisch back-uppen van alle mailboxen mogelijk.

V68.0.0

Thunderbird heeft ruim een week bekend gemaakt dat er een nieuwe versie aan zit te komen. In de numering wordt een grote stap voorwaarts gemaakt. De nieuwste versie is 68.0.0 en bevat een hoop nieuwe features. Helaas zijn er ook minder aangename zaken. De werking van bestaande plug-ins, extensies, add-ons of hoe dat allemaal ook mag heten kan niet langer worden gegarandeerd.

Balen

De reacties op fora over het wegvallen van veel plug-ins hebben niet lang op zich laten wachten. Meldingen van een onwerkbare update van de cliënt omdat de belangrijkste en/of het merendeel van de plug-ins niet meer werkt overheersen. Thunderbird gebruikers balen van deze reductie van functionaliteit. Ik schuif aan bij deze groep. Van de zeven add-ons die ik gebruik zijn er twee definitief niet geschikt voor de 68* versie. De makers hebben ook aangekondigd dat nooit te doen. Kaosmos, de maker van de Import/ExportTool heeft op zijn pagina deze melding geplaatst.

As is well known, Mozilla has chosen to renounce XUL/XPCOM based technology for extensions and has decided to replace it with Webextensions.
For non-experts, this means that extensions now use a completely different technology and that all “old style” extensions must be rewritten from scratch to work.
Not having enough time and motivation for such a complicated job, as well as for personal reasons, I decided to completely end the development and support of all my extensions.

Andere plug-ins schrijvers hebben zo te zien de pagina’s al uit de lucht gehaald.

Wat te doen?

Vooralsnog is er geen reden voor paniek. De update van 60* naar 68* wordt namelijk niet gepusht. Het is een manuele update. De komende tijd zal ik het aantal add-ons dat beschikbaar is voor de nieuwste versie beter in de gaten gaan houden. Op een niet productie machine is hier versie 68.0.0 geïnstalleerd met slechts een mailbox voor niet essentiële mails. Ik heb daarmee al een eerste positieve ervaring. De bèta versie van de kalender app werkt. Synchroniseren van het adresboek lijkt ook goed te gaan. Enigmail is nog niet uitgeprobeerd, maar die gebruikersgroep is zo groot dat een werkende versie wel moet komen.

Een werkend alternatief voor de back-up functie vinden lijkt daarmee voorlopig de grootste uitdaging te zijn.  [Inmiddels is er een update / dooronwikkeling van de Kaosmos tool beschikbaar.  Link] Oh ja en een mogelijkheid het font formaat te wijzigen in de cliënt zou ook wel handig zijn.

Share:

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.